org.eclipse.mat.hprof.acquire

## Class JmapVmInfo

- java.lang.Object
- - org.eclipse.mat.snapshot.acquire.VmInfo
  - - org.eclipse.mat.hprof.acquire.JmapVmInfo

    public class JmapVmInfo
    extends VmInfo

### Field Summary

Fields
`File` `jdkHome`

### Constructor Summary

Constructors
Constructor and Description
`JmapVmInfo(int pid, String description, boolean heapDumpEnabled, String proposedFileName, IHeapDumpProvider heapDumpProvider)`

### Method Summary

### Methods inherited from class org.eclipse.mat.snapshot.acquire.VmInfo

`getDescription, getHeapDumpProvider, getPid, getProposedFileName, isHeapDumpEnabled, setDescription, setHeapDumpEnabled, setHeapDumpProvider, setPid, setProposedFileName, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### jdkHome

    public File jdkHome

### Constructor Detail

#### JmapVmInfo

    public JmapVmInfo(int pid,
                      String description,
                      boolean heapDumpEnabled,
                      String proposedFileName,
                      IHeapDumpProvider heapDumpProvider)